- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# QWheelEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 134 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QWheelEvent:
[legend]

List of all members.

## Public Member Functions
| QWheelEvent (const QPoint &pos, int delta, Qt::MouseButtons buttons, Qt::KeyboardModifiers modifiers, Qt::Orientation orient=Qt::Vertical)
| QWheelEvent (const QPoint &pos, const QPoint &globalPos, int delta, Qt::MouseButtons buttons, Qt::KeyboardModifiers modifiers, Qt::Orientation orient=Qt::Vertical)
| ~QWheelEvent ()
int | delta () const
const QPoint & | pos () const
const QPoint & | globalPos () const
int | x () const
int | y () const
int | globalX () const
int | globalY () const
Qt::MouseButtons | buttons () const
Qt::Orientation | orientation () const
## Protected Attributes
QPoint | p
QPoint | g
int | d
Qt::MouseButtons | mouseState
Qt::Orientation | o

## Constructor & Destructor Documentation

QWheelEvent | ( | const QPoint & | pos,
|  | int | delta,
|  | Qt::MouseButtons | buttons,
|  | Qt::KeyboardModifiers | modifiers,
|  | Qt::Orientation | orient = `Qt::Vertical`
| ) |  |

QWheelEvent | ( | const QPoint & | pos,
|  | const QPoint & | globalPos,
|  | int | delta,
|  | Qt::MouseButtons | buttons,
|  | Qt::KeyboardModifiers | modifiers,
|  | Qt::Orientation | orient = `Qt::Vertical`
| ) |  |

~QWheelEvent | ( |  | ) |

## Member Function Documentation

int delta | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 145 of file qevent.h.

    { return d; }

const QPoint& pos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 146 of file qevent.h.

    { return p; }

const QPoint& globalPos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 147 of file qevent.h.

    { return g; }

int x | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 148 of file qevent.h.

    { return p.x(); }

int y | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 149 of file qevent.h.

    { return p.y(); }

int globalX | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 150 of file qevent.h.

    { return g.x(); }

int globalY | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 151 of file qevent.h.

    { return g.y(); }

Qt::MouseButtons buttons | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 153 of file qevent.h.

    { return mouseState; }

Qt::Orientation orientation | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 154 of file qevent.h.

    { return o; }

## Member Data Documentation

QPoint p `[protected]`

Search for all occurrences

Definition at line 165 of file qevent.h.

QPoint g `[protected]`

Search for all occurrences

Definition at line 166 of file qevent.h.

int d `[protected]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 167 of file qevent.h.

Qt::MouseButtons mouseState `[protected]`

Search for all occurrences

Definition at line 168 of file qevent.h.

Qt::Orientation o `[protected]`

Search for all occurrences

Definition at line 169 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QWheelEvent QWheelEvent QWheelEvent QWheelEvent QWheelEvent QWheelEvent QWheelEvent QWheelEvent QWheelEvent QWheelEvent
QWheelEvent QWheelEvent QWheelEvent QWheelEvent QWheelEvent QWheelEvent QWheelEvent QWheelEvent QWheelEvent QWheelEvent